Package org.eclipse.birt.chart.model.attribute

# Enum Anchor

java.lang.Object
java.lang.Enum<Anchor>
org.eclipse.birt.chart.model.attribute.Anchor

All Implemented Interfaces:
  `Serializable`, `Comparable<Anchor>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum Anchor extends Enum<Anchor> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Anchor', and utility methods for working with them. This type represents the options available for anchoring blocks.

See Also:
  - `AttributePackage.getAnchor()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EAST_LITERAL`
The 'East' literal object.
`NORTH_EAST_LITERAL`
The 'North East' literal object.
`NORTH_LITERAL`
The 'North' literal object.
`NORTH_WEST_LITERAL`
The 'North West' literal object.
`SOUTH_EAST_LITERAL`
The 'South East' literal object.
`SOUTH_LITERAL`
The 'South' literal object.
`SOUTH_WEST_LITERAL`
The 'South West' literal object.
`WEST_LITERAL`
The 'West' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EAST`
The 'East' literal value.
`static final int`
`NORTH`
The 'North' literal value.
`static final int`
`NORTH_EAST`
The 'North East' literal value.
`static final int`
`NORTH_WEST`
The 'North West' literal value.
`static final int`
`SOUTH`
The 'South' literal value.
`static final int`
`SOUTH_EAST`
The 'South East' literal value.
`static final int`
`SOUTH_WEST`
The 'South West' literal value.
`static final List<Anchor>`
`VALUES`
A public read-only list of all the 'Anchor' enumerators.
`static final int`
`WEST`
The 'West' literal value.

## Method Summary

Modifier and Type
Method
Description
`static Anchor`
`get(int value)`
Returns the 'Anchor' literal with the specified integer value.
`static Anchor`
`get(String literal)`
Returns the 'Anchor' literal with the specified literal value.
`static Anchor`
`getByName(String name)`
Returns the 'Anchor' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static Anchor`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Anchor[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NORTH_LITERAL

public static final Anchor NORTH_LITERAL
The 'North' literal object.

If the meaning of 'North' literal object isn't clear, there really should be more of a description here...

See Also:
  - `NORTH`

### NORTH_EAST_LITERAL

public static final Anchor NORTH_EAST_LITERAL
The 'North East' literal object.

If the meaning of 'North East' literal object isn't clear, there really should be more of a description here...

See Also:
  - `NORTH_EAST`

### EAST_LITERAL

public static final Anchor EAST_LITERAL
The 'East' literal object.

If the meaning of 'East' literal object isn't clear, there really should be more of a description here...

See Also:
  - `EAST`

### SOUTH_EAST_LITERAL

public static final Anchor SOUTH_EAST_LITERAL
The 'South East' literal object.

If the meaning of 'South East' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SOUTH_EAST`

### SOUTH_LITERAL

public static final Anchor SOUTH_LITERAL
The 'South' literal object.

If the meaning of 'South' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SOUTH`

### SOUTH_WEST_LITERAL

public static final Anchor SOUTH_WEST_LITERAL
The 'South West' literal object.

If the meaning of 'South West' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SOUTH_WEST`

### WEST_LITERAL

public static final Anchor WEST_LITERAL
The 'West' literal object.

If the meaning of 'West' literal object isn't clear, there really should be more of a description here...

See Also:
  - `WEST`

### NORTH_WEST_LITERAL

public static final Anchor NORTH_WEST_LITERAL
The 'North West' literal object.

If the meaning of 'North West' literal object isn't clear, there really should be more of a description here...

See Also:
  - `NORTH_WEST`

## Field Details

### NORTH

public static final int NORTH
The 'North' literal value.

See Also:
  - `NORTH_LITERAL`
  - Constant Field Values

### NORTH_EAST

public static final int NORTH_EAST
The 'North East' literal value.

See Also:
  - `NORTH_EAST_LITERAL`
  - Constant Field Values

### EAST

public static final int EAST
The 'East' literal value.

See Also:
  - `EAST_LITERAL`
  - Constant Field Values

### SOUTH_EAST

public static final int SOUTH_EAST
The 'South East' literal value.

See Also:
  - `SOUTH_EAST_LITERAL`
  - Constant Field Values

### SOUTH

public static final int SOUTH
The 'South' literal value.

See Also:
  - `SOUTH_LITERAL`
  - Constant Field Values

### SOUTH_WEST

public static final int SOUTH_WEST
The 'South West' literal value.

See Also:
  - `SOUTH_WEST_LITERAL`
  - Constant Field Values

### WEST

public static final int WEST
The 'West' literal value.

See Also:
  - `WEST_LITERAL`
  - Constant Field Values

### NORTH_WEST

public static final int NORTH_WEST
The 'North West' literal value.

See Also:
  - `NORTH_WEST_LITERAL`
  - Constant Field Values

### VALUES

public static final List<Anchor> VALUES
A public read-only list of all the 'Anchor' enumerators.

## Method Details

### values

public static Anchor[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Anchor valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static Anchor get(String literal)
Returns the 'Anchor' literal with the specified literal value.

### getByName

public static Anchor getByName(String name)
Returns the 'Anchor' literal with the specified name.

### get

public static Anchor get(int value)
Returns the 'Anchor' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<Anchor>`